Get available payment methods for an order
Get available payment methods for an order
Required permissions: SALES_ORDER,RETURN_ORDER
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"allowCashback": true,
"allowPrepayment": true,
"name": "text",
"description": "text",
"receiptText": "text",
"parameters": [
{
"name": "text",
"description": "text",
"required": true,
"key": "text",
"keyType": "TEXT",
"regex": "text"
}
],
"paymentCode": "CASH",
"storePaymentMethodUid": "text",
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerType": "ANY",
"requireCustomerContact": true,
"requireExclusiveUse": true,
"requireRefundToSameMethod": true
},
"settlementCode": "text",
"visibility": "FEATURED",
"position": 1,
"minimumPaymentAmount": 1,
"amountInput": "NONE",
"useRounding": true
}
]
}PreviousReserve an order line from another store's purchase order
NextList available payment methods for order
Last updated
Was this helpful?

